Package org.jbpm.services.cdi.impl.manager

## Class RuntimeManagerFactoryCDIImpl

- java.lang.Object
- - org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl
  - - org.jbpm.services.cdi.impl.manager.RuntimeManagerFactoryCDIImpl

- All Implemented Interfaces:
    `org.kie.api.runtime.manager.RuntimeManagerFactory`

      @ApplicationScoped
      public class RuntimeManagerFactoryCDIImpl
      extends RuntimeManagerFactoryImpl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.runtime.manager.RuntimeManagerFactory

      `org.kie.api.runtime.manager.RuntimeManagerFactory.Factory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuntimeManagerFactoryCDIImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory​(org.kie.api.runtime.manager.RuntimeEnvironment environment)` |

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl

      `getSessionFactory, initTimerService, newPerCaseRuntimeManager, newPerCaseRuntimeManager, newPerProcessInstanceRuntimeManager, newPerProcessInstanceRuntimeManager, newPerRequestRuntimeManager, newPerRequestRuntimeManager, newSingletonRuntimeManager, newSingletonRuntimeManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeManagerFactoryCDIImpl

          public RuntimeManagerFactoryCDIImpl()

  - ### Method Detail

    - #### getTaskServiceFactory

          protected org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory​(org.kie.api.runtime.manager.RuntimeEnvironment environment)

      Overrides:
        `getTaskServiceFactory` in class `RuntimeManagerFactoryImpl`